## bifcl 1.1

=== debian/changelog ===
bifcl (1.1-1) unstable; urgency=medium

  * Initial release (Closes: #921560)

 -- Hilko Bengen <bengen@debian.org>  Wed, 06 Feb 2019 20:25:42 +0100
