=== debian/changelog ===
bifcl (1.2+really+1.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:44 +0100

bifcl (1.2+really+1.1-1) unstable; urgency=medium

  * Downgrade upstream version to 1.1 since the Bro build system
    so far expects bifcl to generate *.bro instead of *.zeek files.

 -- Hilko Bengen <bengen@debian.org>  Tue, 08 Oct 2019 11:10:24 +0200

bifcl (1.2-1) unstable; urgency=medium

  * New upstream version 1.2

 -- Hilko Bengen <bengen@debian.org>  Tue, 03 Sep 2019 23:52:24 +0200
