=== debian/control ===
Source: bifcl
Section: devel
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12~),
 cmake,
 bison, flex,
Standards-Version: 4.3.0
Homepage: https://www.zeek.org/
Vcs-Git: https://salsa.debian.org/bro-team/bifcl.git
Vcs-Browser: https://salsa.debian.org/bro-team/bifcl

Package: bifcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Bro Built-In-Function Compiler
 The bifcl program simply takes a .bif file as input and generates C++
 header/source files along with a .bro script that all-together
 provide the declaration and implementation of Bro Built-In-Functions
 (BIFs), which can then be compiled and shipped as part of a Bro
 plugin.
 .
 A BIF allows one to write arbitrary C++ code and access it via a
 function call inside a Bro script. In this way, they can also be used
 to access parts of Bro's internal C++ API that aren't already exposed
 via their own BIFs.
