## bifcl 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-project(BifCl C CXX)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+project(BifCl C CXX)
 
 include(cmake/CommonCMakeConfig.cmake)
 
@@ -16,8 +16,10 @@
     message(FATAL_ERROR "Configuration aborted due to missing prerequisites")
 endif ()
 
+include(RequireCXX17)
+
 include_directories(BEFORE
-                    ${CMAKE_CURRENT_SOURCE_DIR}
+                    ${CMAKE_CURRENT_SOURCE_DIR}/include
                     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
@@ -39,9 +41,9 @@
    ${BISON_BIFParser_OUTPUTS}
    ${FLEX_BIFScanner_OUTPUTS}
    bif_arg.cc
-   bif_arg.h
+   include/bif_arg.h
    module_util.cc
-   module_util.h
+   include/module_util.h
 )
 
 add_executable(bifcl ${bifcl_SRCS})
