=== debian/changelog ===
bifcl (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Update watch file

 -- Hilko Bengen <bengen@debian.org>  Fri, 11 Sep 2020 00:26:02 +0200

bifcl (1.2+rel-2) experimental; urgency=medium

  * Re-introduce upstream version 1.2

 -- Hilko Bengen <bengen@debian.org>  Sat, 15 Feb 2020 00:05:38 +0100
