=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://download.zeek.org/ bifcl-(\d.*)\.tar\.gz
