=== debian/changelog ===
bifcl (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Bump Debhelper compat level, Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 20:03:32 +0100
