## bifcl 1.6.2

=== debian/changelog ===
bifcl (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2
  * Add debian/gbp.conf

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Dec 2022 20:23:32 +0100
