=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (=13),
  cmake,
  bison, flex,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Homepage: https://www.zeek.org/
 Vcs-Git: https://salsa.debian.org/bro-team/bifcl.git
 Vcs-Browser: https://salsa.debian.org/bro-team/bifcl
