=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -DBINARY_PACKAGING_MODE=1

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES

%:
	dh $@ --buildsystem=cmake
